View Issue Details

IDProjectCategoryView StatusLast Update
0005229Talermerchant frontend (blog)public2018-04-15 20:36
ReporterFlorian DoldAssigned ToMarcello Stanisci 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.5 
Summary0005229: back-office should be moved into its own repository
DescriptionWe should have one repository for the back-office Web user interface that can be re-used by various frontends.

Then the frontends look even simpler, right now there's back-office stuff mixed in and it looks confusing.

(Discussed this with Christian at 34C3)
TagsNo tags attached.

Relationships

has duplicate 0005224 closedMarcello Stanisci merchant back-office pages should be in their own repository 

Activities

Marcello Stanisci

2018-01-05 10:58

manager   ~0012733

The current back-office repository is quite "blog centric"; we could make it
more generic such that its logic will take a merchant backend and a instance
name and work against those two values.

This way, we keep one codebase for all the frontends, and whenever a specific
frontend X wants to have a back-office feature, it will just have to "call" the
back-office logic making sure it'll query the right merchant backend / instance
pair.

OK, any frontend will be forced to use one page layout, but IMO this is not too
bad, given that (1) this is just proof of concept and (2) daily business software
is often implemented with ncurses-like graphics (personally seen at the Post office).

Marcello Stanisci

2018-01-06 12:48

manager   ~0012736

Repo is mature now (584339f); tests and optimizations need to be done though.

Issue History

Date Modified Username Field Change
2017-12-27 19:51 Florian Dold New Issue
2017-12-27 19:53 Florian Dold Assigned To => Marcello Stanisci
2017-12-27 19:53 Florian Dold Status new => assigned
2017-12-27 20:14 Marcello Stanisci Relationship added has duplicate 0005224
2018-01-05 10:58 Marcello Stanisci Note Added: 0012733
2018-01-06 12:48 Marcello Stanisci Note Added: 0012736
2018-01-06 12:48 Marcello Stanisci Status assigned => resolved
2018-01-06 12:48 Marcello Stanisci Resolution open => fixed
2018-04-15 20:35 Christian Grothoff Fixed in Version => 0.5
2018-04-15 20:36 Christian Grothoff Status resolved => closed